/*
 * Copyright (c) 2013-2015 GraphAware
 *
 * This file is part of the GraphAware Framework.
 *
 * GraphAware Framework is free software: you can redistribute it and/or modify it under the terms of
 * the GNU General Public License as published by the Free Software Foundation, either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of
 * the GNU General Public License along with this program.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.graphaware.common.policy.all;

import com.graphaware.common.policy.RelationshipInclusionPolicy;
import org.neo4j.graphdb.Relationship;

/**
 * {@link RelationshipInclusionPolicy} that includes all relationships. Singleton.
 */
public final class IncludeAllRelationships extends RelationshipInclusionPolicy.Adapter {

    private static final RelationshipInclusionPolicy INSTANCE = new IncludeAllRelationships();

    public static RelationshipInclusionPolicy getInstance() {
        return INSTANCE;
    }

    private IncludeAllRelationships() {
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public boolean include(Relationship object) {
        return true;
    }
}
