/*
 * Copyright (c) 2013-2015 GraphAware
 *
 * This file is part of the GraphAware Framework.
 *
 * GraphAware Framework is free software: you can redistribute it and/or modify it under the terms of
 * the GNU General Public License as published by the Free Software Foundation, either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of
 * the GNU General Public License along with this program.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.graphaware.common.policy.fluent;

import com.graphaware.common.policy.NodePropertyInclusionPolicy;
import org.neo4j.graphdb.Node;

/**
 * An implementation of {@link NodePropertyInclusionPolicy} that is entirely configurable using its fluent interface.
 */
public class IncludeNodeProperties extends BaseIncludeProperties<IncludeNodeProperties, Node> implements NodePropertyInclusionPolicy {

    public static IncludeNodeProperties all() {
        return new IncludeNodeProperties(null);
    }

    protected IncludeNodeProperties(String key) {
        super(key);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected IncludeNodeProperties newInstance(String key) {
        return new IncludeNodeProperties(key);
    }
}
